/**
 * Interface for the Configuration object
 */
interface IFetchReadmeConfig {
    username: string;
    repository: string;
    branch?: string;
    readme?: string;
}
/**
 * Returns a raw readme file
 * for the provided public github repository.
 *
 * @param {object:IFetchReadmeConfig} config The fetch-readme configuration object.
 */
declare const fetchReadme: (config: IFetchReadmeConfig) => Promise<any>;
export { fetchReadme };
